Bug 894667 - XML error: malformed owner element
XML error: malformed owner element
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-01-12 19:34 EST by Stefan Jensen
Modified: 2013-04-01 09:18 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-01 09:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2013-01-12 19:34:56 EST
Description of problem:

handling of owner and group broken, which results in bad XML.

Version-Release number of selected component (if applicable):

# rpm -qa|grep libvirt

How reproducible:


Steps to Reproduce:

1. systemctl start libvirtd.server
2. watch /var/log/messages
Actual results:

Broken /etc/libvirt/storage/default.xml 

Expected results:

Sane /etc/libvirt/storage/default.xml 

Additional info:

# cat /etc/libvirt/storage/default.xml 
<pool type='dir'>
  <capacity unit='bytes'>0</capacity>
  <allocation unit='bytes'>0</allocation>
  <available unit='bytes'>0</available>
Comment 1 Stefan Jensen 2013-01-12 19:39:15 EST
Sorry, forgot to attach /var/log/messages

# systemctrl start libvirtd.service

kernel: [10225.150500] Bridge firewalling registered
kernel: [10225.166363] tun: Universal TUN/TAP device driver, 1.6
kernel: [10225.166371] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
kernel: [10225.191056] device virbr0-nic entered promiscuous mode
kernel: [10225.290449] IPv6: ADDRCONF(NETDEV_UP): virbr0: link is not ready
dnsmasq[2583]: started, version 2.65 cachesize 150
dnsmasq[2583]: compile time options: IPv6 GNU-getopt DBus no-i18n no-IDN DHCP DHCPv6 no-Lua TFTP no-conntrack
dnsmasq-dhcp[2583]: DHCP, IP range --, lease time 1h
dnsmasq[2583]: using local addresses only for unqualified names
dnsmasq[2583]: reading /etc/resolv.conf
dnsmasq[2583]: using nameserver xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx:xxxx#53
dnsmasq[2583]: using nameserver xxx.xxx.xxx.xxx#53
dnsmasq[2583]: using local addresses only for unqualified names
dnsmasq[2583]: read /etc/hosts - 2 addresses
libvirtd[2527]: 2013-01-13 00:06:10.807+0000: 2538: info : libvirt version:, package: 2.fc17 (Fedora Project, 2012-12-16-19:55:05, )
libvirtd[2527]: 2013-01-13 00:06:10.807+0000: 2538: error : virStorageDefParsePerms:590 : XML error: malformed owner element
kernel: [10225.464274] Ebtables v2.0 registered
Comment 2 Cole Robinson 2013-04-01 09:18:57 EDT
I can't reproduce, that XML seems to work fine for me with latest F17 bits. Can you still reproduce? If so, please reopen.

Please also reproduce with 'virsh pool-define <xmlfile>' which should give an interactive error.

Note You need to log in before you can comment on or make changes to this bug.